package de.howaner.Pokemon.listener.event.entity;

import de.howaner.Pokemon.entity.Entity;
import de.howaner.Pokemon.listener.event.Cancellable;
import de.howaner.Pokemon.listener.event.Event;
import de.howaner.Pokemon.util.Location;

public class EntityStartWalkEvent extends Event implements Cancellable {
	private boolean isCancelled = false;
	private Entity entity;
	private Location destinition;

	public EntityStartWalkEvent(Entity entity, Location destinition) {
		this.entity = entity;
		this.destinition = destinition;
	}

	public Entity getEntity() {
		return this.entity;
	}

	public Location getDestinition() {
		return this.destinition;
	}

	@Override
	public boolean isCancelled() {
		return this.isCancelled;
	}

	@Override
	public void setCancelled(boolean cancelled) {
		this.isCancelled = cancelled;
	}

}
