package de.howaner.Pokemon.network.packets.in;

import de.howaner.Pokemon.network.ClientHandle;
import de.howaner.Pokemon.network.PacketBuffer;

public class PacketInAuthenticationResponse extends InPacket {
	private String passwordHash; //sha256(sha256(Password) + IP Address)

	public String getPasswordHash() {
		return this.passwordHash;
	}

	@Override
	public int getPacketID() {
		return 3;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.passwordHash = buffer.readString(256);
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketAuthenticationResponse(this);
	}

}
