package de.howaner.Pokemon.network.packets.in;

import de.howaner.Pokemon.entity.EntityFace;
import de.howaner.Pokemon.network.ClientHandle;
import de.howaner.Pokemon.network.PacketBuffer;

public class PacketInChangeFace extends InPacketMove {
	private EntityFace newFace;

	public EntityFace getNewFace() {
		return this.newFace;
	}

	@Override
	public int getPacketID() {
		return 5;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.newFace = EntityFace.values()[buffer.readByte()];
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketMove(this);
	}

}
