package de.howaner.Pokemon.network.packets.in;

import de.howaner.Pokemon.network.ClientHandle;
import de.howaner.Pokemon.network.PacketBuffer;

public class PacketInLoginStart extends InPacket {
	private byte protocolVersion;
	private String userName;

	public byte getProtocolVersion() {
		return this.protocolVersion;
	}

	public String getUserName() {
		return this.userName;
	}

	@Override
	public int getPacketID() {
		return 1;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.protocolVersion = buffer.readByte();
		this.userName = buffer.readString(16);
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketLoginStart(this);
	}

}
