package de.howaner.Pokemon.network.packets.in;

import de.howaner.Pokemon.entity.EntityFace;
import de.howaner.Pokemon.network.ClientHandle;
import de.howaner.Pokemon.network.PacketBuffer;
import de.howaner.Pokemon.util.Location;

public class PacketInPlayerMove extends InPacketMove {
	private EntityFace entityFace;
	private Location currentLocation;

	public EntityFace getEntityFace() {
		return this.entityFace;
	}

	public Location getCurrentLocation() {
		return this.currentLocation;
	}

	@Override
	public int getPacketID() {
		return 4;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.entityFace = EntityFace.values()[buffer.readByte()];
		this.currentLocation = buffer.readLocation();
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketMove(this);
	}

}
