package de.howaner.Pokemon.network.packets.out;

import de.howaner.Pokemon.network.PacketBuffer;

public class PacketOutAuthenticationRequest extends OutPacket {
	private String ipAddress;

	public PacketOutAuthenticationRequest(String ipAddress) {
		this.ipAddress = ipAddress;
	}

	public String getIPAddress() {
		return this.ipAddress;
	}

	@Override
	public int getPacketID() {
		return 2;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeString(this.ipAddress);
	}

}
