package de.howaner.Pokemon.network.packets.out;

import de.howaner.Pokemon.entity.Entity;
import de.howaner.Pokemon.network.PacketBuffer;

public class PacketOutEntityRemove extends OutPacket {
	private int entityID;

	public PacketOutEntityRemove(int entityID) {
		this.entityID = entityID;
	}

	public PacketOutEntityRemove(Entity entity) {
		this.entityID = entity.getEntityID();
	}

	@Override
	public int getPacketID() {
		return 5;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeVarInt(this.entityID);
	}

}
