package de.howaner.Pokemon.network.packets.out;

import de.howaner.Pokemon.entity.EntityState;
import de.howaner.Pokemon.network.PacketBuffer;

public class PacketOutEntityState extends OutPacket {
	private int entityID;
	private EntityState state;

	public PacketOutEntityState(int entityID, EntityState state) {
		this.entityID = entityID;
		this.state = state;
	}

	@Override
	public int getPacketID() {
		return 12;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeVarInt(this.entityID);
		buffer.writeByte(this.state.ordinal());
	}

}
