package de.howaner.Pokemon.network.packets.out;

import de.howaner.Pokemon.entity.EntityFace;
import de.howaner.Pokemon.network.PacketBuffer;
import de.howaner.Pokemon.util.Location;

public class PacketOutEntityTeleport extends OutPacket {
	private int entityID;
	private Location destinition;
	private EntityFace face;

	public PacketOutEntityTeleport(int entityID, Location destinition, EntityFace face) {
		this.entityID = entityID;
		this.destinition = destinition;
		this.face = face;
	}

	@Override
	public int getPacketID() {
		return 6;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeVarInt(this.entityID);
		buffer.writeLocation(this.destinition, false);
		buffer.writeByte(this.face.ordinal());
	}

}
