package de.howaner.Pokemon.network.packets.out;

import de.howaner.Pokemon.network.PacketBuffer;

public class PacketOutUpdateEntityID extends OutPacket {
	private int newEntityID;

	public PacketOutUpdateEntityID(int newEntityID) {
		this.newEntityID = newEntityID;
	}

	@Override
	public int getPacketID() {
		return 11;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeVarInt(this.newEntityID);
	}

}
