package de.howaner.Pokemon.network.packets.in;

import de.howaner.Pokemon.entity.EntityState;
import de.howaner.Pokemon.network.ClientHandle;
import de.howaner.Pokemon.network.PacketBuffer;

public class PacketInChangeState extends InPacketMove {
	private EntityState newState;

	public EntityState getNewState() {
		return this.newState;
	}

	@Override
	public int getPacketID() {
		return 6;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.newState = EntityState.values()[buffer.readByte()];
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketMove(this);
	}

}
