package de.howaner.Pokemon.network.packets.in;

import de.howaner.Pokemon.network.ClientHandle;
import de.howaner.Pokemon.network.PacketBuffer;

public class PacketInEncryptionKey extends InPacket {
	private byte[] data;

	public byte[] getEncryptedSecretKey() throws Exception {
		return this.data;
	}

	@Override
	public int getPacketID() {
		return 2;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.data = new byte[buffer.readShort()];
		buffer.readBytes(this.data);
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketEncryptionKey(this);
	}

}
