package de.howaner.Pokemon.network.packets.out;

import de.howaner.Pokemon.network.PacketBuffer;

public class PacketOutDisconnect extends OutPacket {
	private String message;

	public PacketOutDisconnect(String message) {
		this.message = message;
	}

	public String getMessage() {
		return this.message;
	}

	@Override
	public int getPacketID() {
		return 1;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeString(this.message);
	}

}
