package de.howaner.Pokemon.network.packets.out;

import de.howaner.Pokemon.network.PacketBuffer;

public class PacketOutFadeScreen extends OutPacket {
	private FadeType fadeType;
	private float duration;

	public PacketOutFadeScreen(FadeType fadeType, float duration) {
		this.fadeType = fadeType;
		this.duration = duration;
	}

	@Override
	public int getPacketID() {
		return 8;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeByte(this.fadeType.ordinal());
		buffer.writeFloat(this.duration);
	}

	public enum FadeType {
		FADE_OUT, FADE_IN;
	}

}
