package de.howaner.Pokemon.network.packets.out;

import de.howaner.Pokemon.network.PacketBuffer;
import de.howaner.Pokemon.util.Location;

public class PacketOutSwitchWorld extends OutPacket {
	private Location destinition;

	public PacketOutSwitchWorld(Location destinition) {
		this.destinition = destinition;
	}

	@Override
	public int getPacketID() {
		return 10;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeLocation(this.destinition, true);
	}

}
